### Method

# Pango Contextlist_families

#### Declaration [src]

    void
    pango_context_list_families (
      PangoContext* context,
      PangoFontFamily*** families,
      int* n_families
    )

#### Description [src]

List all families for a context.

#### Parameters

`families`

  Type: An array of `PangoFontFamily**`

  Location to store a pointer to an array of `PangoFontFamily`. This array should be freed with g_free().

  The argument will be set by the function.
  The length of the array is specified in the `n_families` argument.
  The caller of the method takes ownership of the data container, but not the data inside it.

`n_families`

  Type: `int*`

  Location to store the number of elements in `descs`.

  The argument will be set by the function.